
srcdir = 'src/Bessell/'

bhist = ['passband from Bessell (1990, PASP, 102, 1181)', $
         'zeropoint set assuming BX_Bessell(Vega) = B_Bessell(Vega)']

ahist = 'passband originally from Bessell (1990, PASP, 102, 1181)'
ahist = [ahist, $
        'blueshifted to match Landolt (Astier et al. 2005, astro-ph/0510447)', $
        'assuming same blueshift as B_Astier (41 Angstroms)', $
        'zeropoint set assuming BX_Astier(Vega) = B_Astier(Vega)']


f = 'BX'
readit,srcdir+f+'.dat',x,y
mkpassband,f+'_Bessell',x,y,/pbergs,history=bhist,/closest
mkpassband,f+'_Astier',x-41.0d,y,/pbergs,history=ahist,vegamags='Fukugita',/closest

spawn,'ln -s B_Cohen.fits BX_Cohen.fits'
spawn,'ln -s B_MA+C.fits BX_MA+C.fits'

end
