srcdir = 'src/Cohen/'

bhist = ['Landolt (1983) photometric system passbands based on', $
         'Landolt (1992) tables plus atmospheric model', $
         'calculated by Cohen et al. 2003, AJ, 125, 2645' ]

f = ['U','B','V','R','I']

for i=0,n_elements(f)-1 do begin
    readit,srcdir+'lando'+strlowcase(f[i])+'.fad.txt',x,y
    x *= 1d4  ; source wavelengths are in microns 

    ; Cohen passbands are energy-based
    mkpassband,f[i]+'_Cohen',x,y,/pbergs,history=bhist,/closest
endfor


end
