
srcdir = 'src/Bessell/'

ahist = 'passband originally from Bessell (1990, PASP, 102, 1181)'
ahist = [ahist, $
        'shifted to match Landolt (see Kessler et al. 2009, Table 23)']

f = ['U','B','BX','V','R','I']
offset = [+13.0d, -15.0d, -15.0d, +12.0d, +7.0d, -45.0d]

for i=0,n_elements(f)-1 do begin

    readit,srcdir+f[i]+'.dat',x,y
    mkgenpassband,f[i]+'_Kessler',x+offset[i],y,/pbergs,history=ahist, $
      modelspec='BD+17d4708.flm',modelfile='BD+17.mags.dat',modelmags='Landolt',/closest

endfor

end
