srcdir = 'src/Marriner/'

bhist = ['Landolt (1983) photometric system passbands based on', $
         'Landolt (1992) tables plus atmospheric model', $
         'calculated by Cohen et al. 2003, AJ, 125, 2645' ]

f = ['U','B','BX','V','R','I']

for i=0,n_elements(f)-1 do begin
    readit,srcdir+f[i]+'.dat',x,y

    ; Marriner passbands are energy-based
    mkgenpassband,f[i]+'_Marriner',x,y,/pbergs,history=bhist, $
      modelspec='BD+17d4708.flm',modelfile='BD+17.mags.dat',modelmags='Landolt',/closest

endfor


end
