
s=''
readit,'info',p,cz,minx,maxx,s
z = cz/299792.458d
nminx = minx/(1.0+z)
nmaxx = maxx/(1.0+z)
 
getband,'U',ux,uy,uz
getband,'B',bx,by,bz
getband,'V',vx,vy,vz
getband,'R',rx,ry,rz
getband,'I',ix,iy,iz

q = where(nminx le min(ux) and nmaxx ge max(bx),nq)
openw,1,'ub.info'
for i=0,nq-1 do begin
    printf,1,p[q[i]],cz[q[i]],minx[q[i]],maxx[q[i]],'   '+s[q[i]], $
      format='(f6.1,f9.1,f10.2,f10.2,a)'
endfor
close,1

q = where(nminx le min(bx) and nmaxx ge max(vx),nq)
openw,1,'bv.info'
for i=0,nq-1 do begin
    printf,1,p[q[i]],cz[q[i]],minx[q[i]],maxx[q[i]],'   '+s[q[i]], $
      format='(f6.1,f9.1,f10.2,f10.2,a)'
endfor
close,1

q = where(nminx le min(vx) and nmaxx ge max(rx),nq)
openw,1,'vr.info'
for i=0,nq-1 do begin
    printf,1,p[q[i]],cz[q[i]],minx[q[i]],maxx[q[i]],'   '+s[q[i]], $
      format='(f6.1,f9.1,f10.2,f10.2,a)'
endfor
close,1

q = where(nminx le min(rx) and nmaxx ge max(ix),nq)
openw,1,'ri.info'
for i=0,nq-1 do begin
    printf,1,p[q[i]],cz[q[i]],minx[q[i]],maxx[q[i]],'   '+s[q[i]], $
      format='(f6.1,f9.1,f10.2,f10.2,a)'
endfor
close,1

q = where(nminx le min(vx) and nmaxx ge max(ix),nq)
openw,1,'vi.info'
for i=0,nq-1 do begin
    printf,1,p[q[i]],cz[q[i]],minx[q[i]],maxx[q[i]],'   '+s[q[i]], $
      format='(f6.1,f9.1,f10.2,f10.2,a)'
endfor
close,1

print, 'Remember to manually edit duplicates in the files.. see readme.'

end
