function defaultcolor, restpbname

;; 2006/07/10 - Some additional commentary by Michael Wood-Vasey 
;;  Stores lookup table of the model color to use for a given restframe passband 
;;  when calculating K-corrections.  One could imagine eventually
;;  using different colors depending on which side of the bandpass one
;;  falls when compare the observed and rest-frame passbands.

out = restpbname

for i=0,n_elements(restpbname)-1 do begin

    case restpbname[i] of
        'U' : out[i] = 'U-B'
        'B' : out[i] = 'B-V'
        'V' : out[i] = 'B-V'
        'R' : out[i] = 'V-R'
        'I' : out[i] = 'R-I'
       else : out[i] = 'none'
   endcase

endfor

return,out

end
