pro defaultskcgx, rfcolset, gxlaw, gxrv, samerest
;
; defaults for synthetic photometry, K-corrections and
;   Galactic extinction corrections

; what filter set corresponds to the templates (Landolt)
;   these also define the passband translations when an
;   ambiguous standard filter is requested (e.g., 'B')
; rfcolset = 'Bessell'
; rfcolset = 'Marriner'
; rfcolset = 'Astier'
; rfcolset = 'Cohen'
; rfcolset = 'MA+C'
rfcolset = 'Kessler'

; what extinction law to use for the MW Galaxy
gxlaw = 'CCM'

; what R_V to use for the MW Galaxy
gxrv = 3.1

; allow multiple observer-frame passbands to map to the 
;   same rest-frame passbands? 'yes' or 'no'
samerest = 'yes'
; samerest = 'no'

end
