function getlastiter, sn, outdir=outdir, fn=fn

;; 2006/07/10 - Some additional commentary by Michael Wood-Vasey
;;    Gets that last done iteration by looking in the fit output
;;    directory for the given supernova.  Takes the last '.fit.out' 
;;    file that exists (sorted alphabetically), even if that file has size zero.
;;    This last could be fixed in a future version.

m2dir = getenv('MLCS2K2_BASEDIR') + '/'

if not keyword_set(outdir) then outdir = m2dir + 'fit/out/' + sn + '/' $
else if strmid(outdir,0,1,/reverse) ne '/' then outdir += '/'

files = file_search(outdir+sn+'.iter??.fit.out',count=nfiles)


if nfiles eq 0 then return,-1

files = files[sort(files)]

fn = files[nfiles-1]
lastfile = file_basename(fn)
pos = strpos(lastfile,'.fit.out') - 2

return,fix(strmid(lastfile,pos,2))

end
