function strjust, s, width, $
                  left=left, right=right, center=center, padchar=padchar

; left, right, or center justify a string (or array of strings)

left = keyword_set(left) ? 1 : 0
right = keyword_set(right) ? 1 : 0
center = keyword_set(center) ? 1 : 0

if total([left,right,center]) ne 1 then $
  message,'set exactly one of /left, /right, or /center'

if (n_elements(padchar) ne 1) || (strlen(padchar) ne 1) then $
  padchar = ' '

out = s

for i=0,n_elements(out)-1 do begin

    if strlen(out[i]) lt width then begin

        while strlen(out[i]) lt width-1 do begin
            if right or center then out[i] = padchar + out[i]
            if left or center then out[i] = out[i] + padchar
        endwhile
    
        if left then out[i] = out[i] + padchar
        if strlen(out[i]) lt width then out[i] = padchar + out[i]

    endif
    
endfor

return, out

end
