srcdir = 'src/2MASS/'

bhist = 'JHKs_2MASS system from Cohen et al. 2003'
bhist = [bhist,'www.ipac.caltech.edu/2mass/releases/allsky/doc/sec6_4a.html#rsr']
bhist = [bhist,'called photon-counting, but these are ENERGY units -- see paper']
bhist = [bhist,'zeropoints using HST Vega']

f = ['J','H','Ks']
nf = n_elements(f)
for i=0,nf-1 do begin

   readit,srcdir+f[i]+'.RSR.dat',x,y
   x *= 1d4    ; microns to Angstroms
   mkpassband,f[i]+'_2MASS',x,y,history=bhist,/pbergs

endfor

end
