
srcdir = 'src/Bessell/'

bhist = 'passband from Bessell (1990, PASP, 102, 1181)

ahist = 'passband originally from Bessell (1990, PASP, 102, 1181)'
ahist = [ahist, $
        'blueshifted to match Landolt (Astier et al. 2005, astro-ph/0510447)']

f = 'B'
readit,srcdir+f+'.dat',x,y
mkpassband,f+'_Bessell',x,y,/pbergs,history=bhist,/closest
mkpassband,f+'_Astier',x-41.0d,y,/pbergs,history=ahist,vegamags='Fukugita',/closest

f = 'V'
readit,srcdir+f+'.dat',x,y
mkpassband,f+'_Bessell',x,y,/pbergs,history=bhist,/closest
mkpassband,f+'_Astier',x-27.0d,y,/pbergs,history=ahist,vegamags='Fukugita',/closest

f = 'R'
readit,srcdir+f+'.dat',x,y
mkpassband,f+'_Bessell',x,y,/pbergs,history=bhist,/closest
mkpassband,f+'_Astier',x-21.0d,y,/pbergs,history=ahist,vegamags='Fukugita',/closest

f = 'I'
readit,srcdir+f+'.dat',x,y
mkpassband,f+'_Bessell',x,y,/pbergs,history=bhist,/closest
mkpassband,f+'_Astier',x-25.0d,y,/pbergs,history=ahist,vegamags='Fukugita',/closest

f = 'U'
readit,srcdir+f+'.dat',x,y
mkpassband,f+'_Bessell',x,y,/pbergs,history=bhist,/closest
uhist = ahist
uhist[1] = 'No blueshift given to match Landolt (Astier et al. 2006)'
mkpassband,f+'_Astier',x-0.0d,y,/pbergs,history=uhist,vegamags='Fukugita',/closest

end
