srcdir = 'src/CFHT3.6m/'

bhist = 'SNLS passbands (http://snls.in2p3.fr/conf/release/) from 2006-May-12)'
bhist = [bhist, $
        'synthesized atmos*mirrors*optics*filter*QE']

PBERGS = 0 ; SNLS passbands are in photon sensitivity
VEGAMAGS = 'Fukugita'  ; SNLS uses Fukugita magnitudes for Vega

f = 'g'
readit,srcdir+'effective_filter_'+f+'.dat',x,y,maxelems=2000,nelems=n
dx = x[1]-x[0]
x = [x[0]-dx,x]
y = [0.0d,y]
n++

dx = x[n-1]-x[n-2]
x = [x,x[n-1]+dx]
y = [y,0.0d]
n++

mkpassband,f+'_CFHT3p6m',x,y,pbergs=PBERGS,history=bhist,vegamags=VEGAMAGS


f = 'r'
readit,srcdir+'effective_filter_'+f+'.dat',x,y,maxelems=2000,nelems=n
dx = x[1]-x[0]
x = [x[0]-dx,x]
y = [0.0d,y]
n++

dx = x[n-1]-x[n-2]
x = [x,x[n-1]+dx]
y = [y,0.0d]
n++

mkpassband,f+'_CFHT3p6m',x,y,pbergs=PBERGS,history=bhist,vegamags=VEGAMAGS


f = 'i'
readit,srcdir+'effective_filter_'+f+'.dat',x,y,maxelems=2000,nelems=n
dx = x[1]-x[0]
x = [x[0]-dx,x]
y = [0.0d,y]
n++

dx = x[n-1]-x[n-2]
x = [x,x[n-1]+dx]
y = [y,0.0d]
n++

mkpassband,f+'_CFHT3p6m',x,y,pbergs=PBERGS,history=bhist,vegamags=VEGAMAGS


f = 'z'
readit,srcdir+'effective_filter_'+f+'.dat',x,y,maxelems=2000,nelems=n
dx = x[1]-x[0]
x = [x[0]-dx,x]
y = [0.0d,y]
n++

dx = x[n-1]-x[n-2]
x = [x,x[n-1]+dx]
y = [y,0.0d]
n++

mkpassband,f+'_CFHT3p6m',x,y,pbergs=PBERGS,history=bhist,vegamags=VEGAMAGS

end
