srcdir = 'src/CSP/'

bhist = 'ugri_CSP system from Hamuy et al. 2008, PASP, 118, 2'
bhist = [bhist,'from http://csp1.lco.cl/~cspuser1/OBS/OPT/trans_fns/']
bhist = [bhist,'zeropoints on USNO system, close to AB, with:']

f = 'u'
bhist = [bhist,'u(AB) = u(USNO) - 0.04    (Gunn 2001 readme.txt)']
readit,srcdir+f+'p.SWO.txt',x,y
zeroify,x,y
mkgenpassband,f+'_CSP',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='USNO-JEG01',/closest

q = n_elements(bhist) - 1

f = 'g'
bhist[q] = 'g(AB) = g(USNO)           (Gunn 2001 readme.txt)'
readit,srcdir+f+'p.SWO.txt',x,y
zeroify,x,y
mkgenpassband,f+'_CSP',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='USNO-JEG01',/closest

f = 'r'
bhist[q] = 'r(AB) = r(USNO)           (Gunn 2001 readme.txt)'
readit,srcdir+f+'p.SWO.txt',x,y
zeroify,x,y
mkgenpassband,f+'_CSP',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='USNO-JEG01',/closest

f = 'i'
bhist[q] = 'i(AB) = i(USNO)           (Gunn 2001 readme.txt)'
readit,srcdir+f+'p.SWO.txt',x,y
zeroify,x,y
mkgenpassband,f+'_CSP',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='USNO-JEG01',/closest

bhist = 'BV_CSP system from Hamuy et al. 2008, PASP, 118, 2'
bhist = [bhist,'from http://csp1.lco.cl/~cspuser1/OBS/OPT/trans_fns/']
bhist = [bhist,'zeropoints on Landolt system using Marriner BD+17']

f = 'B'
readit,srcdir+f+'.SWO.txt',x,y
zeroify,x,y
mkgenpassband,f+'_CSP',x,y,history=bhist, modelspec='BD+17d4708.flm', $
  modelfile='BD+17.mags.dat',modelmags='Landolt',/closest

f = 'V'
readit,srcdir+f+'.SWO.txt',x,y
zeroify,x,y
mkgenpassband,f+'_CSP',x,y,history=bhist, modelspec='BD+17d4708.flm', $
  modelfile='BD+17.mags.dat',modelmags='Landolt',/closest

bhist = 'YJHKs_CSP system from Hamuy et al. 2008, PASP, 118, 2'
bhist = [bhist,'from http://csp1.lco.cl/~cspuser1/PUB/nir_trans/']
bhist = [bhist,'zeropoints on Persson system using HST Vega']

f = ['Y','J','H','Ks']
nf = n_elements(f)
for i=0,nf-1 do begin

   readit,srcdir+f[i]+'.modified.dat',x,y
;   mkgenpassband,f[i]+'_CSP',x,y,history=bhist,modelspec='alpha_lyr_stis_003.dat',$
;      modelfile='VEGA.mags.dat',modelmags='Bohlin06'
   mkpassband,f[i]+'_CSP',x,y,history=bhist

endfor

end
