srcdir = 'src/SDSS/'

bhist = 'based on http://www.sdss.org/dr4/instruments/imager/#filters'
bhist = ['passbands from Hubert Lampeitl (email 2006-Feb-24)',bhist]
bhist = [bhist,'passband on the SDSS system, which is close to AB with:']

f = 'u'
bhist = [bhist,'u(AB) = u(SDSS) - 0.037    (Marriner 2007, email 2007-Feb-16)']
readit,srcdir+f+'.dat',x,y,a1,a2,a3
mkgenpassband,f+'_SDSS',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='SDSS-JM07',/closest

q = n_elements(bhist) - 1

f = 'g'
bhist[q] = 'g(AB) = g(SDSS) + 0.024    (Marriner 2007, email 2007-Feb-16)'
readit,srcdir+f+'.dat',x,y,a1,a2,a3
mkgenpassband,f+'_SDSS',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='SDSS-JM07',/closest

f = 'r'
bhist[q] = 'r(AB) = r(SDSS) + 0.005    (Marriner 2007, email 2007-Feb-16)'
readit,srcdir+f+'.dat',x,y,a1,a2,a3
mkgenpassband,f+'_SDSS',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='SDSS-JM07',/closest

f = 'i'
bhist[q] = 'i(AB) = i(SDSS) + 0.018    (Marriner 2007, email 2007-Feb-16)'
readit,srcdir+f+'.dat',x,y,a1,a2,a3
mkgenpassband,f+'_SDSS',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='SDSS-JM07',/closest

f = 'z'
bhist[q] = 'z(AB) = z(SDSS) + 0.016    (Marriner 2007, email 2007-Feb-16)'
readit,srcdir+f+'.dat',x,y,a1,a2,a3
mkgenpassband,f+'_SDSS',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='SDSS-JM07',/closest

end
