srcdir = 'src/SDSS/'

bhist = 'based on http://www.sdss.org/dr4/instruments/imager/#filters'
bhist = ['passbands from Hubert Lampeitl (email 2006-Feb-24)',bhist]
bhist = [bhist,'passband on the SDSS system, which is close to AB with:']

f = 'u'
bhist = [bhist,'u(AB) = u(SDSS) - 0.033    (Marriner 2006, email 2006-Sep-26)']
readit,srcdir+f+'.dat',x,y,a1,a2,a3
mkgenpassband,f+'_SDSSv5',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='SDSS-JM06',/closest

q = n_elements(bhist) - 1

f = 'g'
bhist[q] = 'g(AB) = g(SDSS) + 0.016    (Marriner 2006, email 2006-Sep-26)'
readit,srcdir+f+'.dat',x,y,a1,a2,a3
mkgenpassband,f+'_SDSSv5',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='SDSS-JM06',/closest

f = 'r'
bhist[q] = 'r(AB) = r(SDSS) + 0.011    (Marriner 2006, email 2006-Sep-26)'
readit,srcdir+f+'.dat',x,y,a1,a2,a3
mkgenpassband,f+'_SDSSv5',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='SDSS-JM06',/closest

f = 'i'
bhist[q] = 'i(AB) = i(SDSS) + 0.013    (Marriner 2006, email 2006-Sep-26)'
readit,srcdir+f+'.dat',x,y,a1,a2,a3
mkgenpassband,f+'_SDSSv5',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='SDSS-JM06',/closest

f = 'z'
bhist[q] = 'z(AB) = z(SDSS) + 0.015    (Marriner 2006, email 2006-Sep-26)'
readit,srcdir+f+'.dat',x,y,a1,a2,a3
mkgenpassband,f+'_SDSSv5',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='SDSS-JM06',/closest

end
