srcdir = 'src/Swift/'

hist = 'Swift UVOT passbands from Swift caldb'
hist = [hist, 'Zeropoints set so that m_Vega = 0']
hist = [hist, 'see Poole et al. 2008, MNRAS, 383, 627']
hist = [hist, '']
lhist = n_elements(hist) - 1  ; index of last element

f = ['uu','bb','vv','uvw1','uvw2','uvm2']
nf = n_elements(f)
fin = ['uu','bb','vv','w1','w2','m2']

for i=0,nf-1 do begin

   inf = 'swu'+fin[i]+'_20041120v104.arf'
   outf = f[i]+'_Swift'

   hist[lhist] = 'input file was ' + inf

   r = mrdfits(srcdir+inf,1,hdr)
   x = (r.wave_min + r.wave_max)/2.0d
   y = r.specresp

   zeroify,x,y

   ; chop off excess ends
   qq = minmax(where(y gt 1d-3))
   x = x[qq[0]-1:qq[1]+1]
   y = y[qq[0]-1:qq[1]+1]

   mkpassband,outf,x,y,history=hist,vegamags='ZeroByDefn'

endfor


end
