srcdir = 'src/USNO/'

bhist = 'ugriz_prime USNO40 system from Smith et al. 2002, AJ, 123, 2121'
bhist = [bhist,'from http://www-star.fnal.gov/ugriz/Filters/response.html']
bhist = [bhist,'zeropoints close to the AB system, with:']

f = 'u'
bhist = [bhist,'u(AB) = u(USNO) - 0.04    (Gunn 2001 readme.txt)']
readit,srcdir+'usno_'+f+'.res',x,a1,a2,y
mkgenpassband,f+'_prime',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='USNO-JEG01',/closest

q = n_elements(bhist) - 1

f = 'g'
bhist[q] = 'g(AB) = g(USNO)           (Gunn 2001 readme.txt)'
readit,srcdir+'usno_'+f+'.res',x,a1,a2,y
mkgenpassband,f+'_prime',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='USNO-JEG01',/closest

f = 'r'
bhist[q] = 'r(AB) = r(USNO)           (Gunn 2001 readme.txt)'
readit,srcdir+'usno_'+f+'.res',x,a1,a2,y
mkgenpassband,f+'_prime',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='USNO-JEG01',/closest

f = 'i'
bhist[q] = 'i(AB) = i(USNO)           (Gunn 2001 readme.txt)'
readit,srcdir+'usno_'+f+'.res',x,a1,a2,y
mkgenpassband,f+'_prime',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='USNO-JEG01',/closest

f = 'z'
bhist[q] = 'z(AB) = z(USNO) - 0.01    (Gunn 2001 readme.txt)'
readit,srcdir+'usno_'+f+'.res',x,a1,a2,y
mkgenpassband,f+'_prime',x,y,history=bhist,modelfile='AB.mags.dat',modelspec='AB.flm',modelmags='USNO-JEG01',/closest

end
