
uniqdays = vec(-19.0,109.0,1.0)

base = "ideal_snIa_age_"
suffix = ".dat"

openw,info,'INFO',/get_lun
printf,info,'# phase lambda_min lambda_max   filename'

FOR i = 0, N_ELEMENTS(uniqdays)-1 DO BEGIN
    d = uniqdays[i]

    IF d LT 0 THEN sign = 'm'  ELSE sign = 'p' ; "[m]inus" or "[p]lus"

    int_day = fix(abs(d))
    daystring = STRING(F='(I0)', int_day)

    filename = base+sign+daystring+suffix

    print,filename
    readspec,filename,x,f

    printf,info,d,min(x),max(x),'     '+filename,format='(f7.1,f10.2,f10.2,a-40)'
ENDFOR

close,info
free_lun,info

END
