pro defaultsrvfit, minav, rvminav

; this sets when we fit R_V by default
;   for example if you always wanted to fit a constant R_V = 2.8,
;   you could change minav to a very large number and rvminav to 2.8
;
; the information in this file is overridden if an entry exists
;   in the fit/sn.grid file

; minimum value of fit host A_V above which to fit R_V as well [mag]
;   you can set this to a very large number to always fix R_V
minav = 2.5d

; fixed R_V to use when fit A_V is less than minav
rvminav = 1.9d

end
