function getm2redden, fn=fn

;; 2006/07/10 - Some additional commentary by Michael Wood-Vasey
;;     Return the effective reddening for all the MLCS2k2 vectors.

if n_elements(fn) eq 0 then fn = getenv('MLCS2K2_BASEDIR') + $
  '/train/mlcs.reddening.sav'

; restores ccmax, ccmbx, filters, nfilters, np, p, pmax, robsv, rtrue, zeta
restore,fn

out = { mlcs_reddening_data, $
        filters: filters, $
        nfilters: nfilters, $
        phase: p, $
        nphase: np, $
        phasemax: pmax, $
        ccmax: ccmax, $
        ccmbx: ccmbx, $
        zeta: zeta, $
        robsv: robsv, $
        rtrue: rtrue }

return,out

end
