function getm2smatrix, vecname, fn=fn

;; 2006/07/10 - Some additional commentary by Michael Wood-Vasey
;;     Return the full S matrix MLCS2k2 model

if n_elements(fn) eq 0 then fn = getenv('MLCS2K2_BASEDIR') + $
  '/train/'+vecname+'.smatrix.sav'

; restores date, filters, ndate, nfilters, ntot, sall
restore,fn

out = { $  ; m2_smatrix
        filters: filters, $
        nfilters: nfilters, $
        date: date, $
        ndate: ndate, $
        sall: sall, $
        salldiag: reform(diag_matrix(sall),ndate,nfilters) }

return,out

end
