function getzeropoint,vecname,base=base

;; 2006/07/10 - Some additional commentary by Michael Wood-Vasey
;;     Returns the maximum magnitude of the V-band MLCS2k2 model

if not keyword_set(base) then $
    base = getenv('MLCS2K2_BASEDIR') + '/train/' + vecname

; get zeropoint mlcsvec.V.tnt at date=0

vfn = base+'.mlcsvec.V.sav'
restore,vfn

junk = min(abs(date),dateind)
if (abs(junk) gt 1d-5) then $
  message,'huh?! something wrong with ' + vfn

zeropt = template[dateind] + nt[dateind]

return, zeropt

end
