function makeuniq, y, x

; condense array y into an array which is defined uniquely on the
; unique elements of x
;
; we average y over repeated ocurrences of x
; x IS ASSUMED TO BE SORTED!

nx = n_elements(x)

ux = uniq(x)
;xx = x[ux]
nxx = n_elements(ux)
yy = dblarr(nxx)

ux = [-1,ux]   ; pad for the first unique element 

for j=0l,nxx-1 do begin
      yy[j] = cmp_avg(y[ux[j]+1:ux[j+1]])
endfor

return,yy

end    
