function readitconv,x,type,single,setbadval,badval
;
; helper function for readit.pro
; probably not at all useful by itself
;

if type eq 7  then begin    ; this column is a string
    return,x
endif else begin
    if setbadval then begin     ; we may have some nonnumeric data
        nx = n_elements(x)
        out = dblarr(nx)
        for k=0,nx-1 do begin
            if is_numeric(x[k]) then out[k]=double(x[k]) else out[k]=badval
        endfor
    endif else begin
        on_ioerror, badconv
        out = double(x)
    endelse
    
    if single then out = float(out)
    return,out

endelse

badconv:
message,'Type conversion error: Unable to convert given STRING to Double.'
    
end
