function readsngrid, sn, file=file

if n_elements(file) eq 0 then file = getenv('MLCS2K2_BASEDIR') + '/fit/sn.grid'

xsn = ''
readit,file,xsn,nmu0,mu0,mu0res,nav0,av0,av0res,ndel,del,delres $
               ,nt0,t0,t0res,nrv,rv,rvres,nelems=ntot,/silent

if ntot le 0 then return, 0

mat = where(xsn eq sn,nmat)

if nmat gt 1 then message,sn+' not found or multiply listed in '+file

if nmat eq 0 then return, 0


mat = mat[0]

out = { sn_grid, $
        npoints: long([nt0[mat],ndel[mat],nrv[mat],nmu0[mat],nav0[mat]]), $
        centers: [t0[mat],del[mat],rv[mat],mu0[mat],av0[mat]], $
        steps: [t0res[mat],delres[mat],rvres[mat],mu0res[mat],av0res[mat]] }

return,out

end
