function readsninfo, sn, file=file

if n_elements(file) eq 0 then file = getenv('MLCS2K2_BASEDIR') + '/fit/sn.info'

xsn = ''
specsamp = ''
priorpro = ''
vecname = ''
readit,file,xsn,z,t0guess,ebvsfd,specsamp,priorpro,vecname


match = where(xsn eq sn,nmatch)
if nmatch ne 1 then message,sn+' not found or multiply listed in '+file
match = match[0]

out = { sn_info, $
        name: xsn[match], $
        z: z[match], $
        t0guess: t0guess[match], $
        ebvsfd: ebvsfd[match], $
        specsamp: specsamp[match], $
        priorpro: priorpro[match], $
        vecname: vecname[match] }

return,out

end
